### partial_cancel_after

A function object type that adapts a completion token to cancel an operation after a timeout.

    template<
        typename Clock,
        typename WaitTraits = asio::wait_traits<Clock>>
    class partial_cancel_after

##### Member Functions

Name | Description
--- | ---
operator() | Adapt a completion token to specify that the completion handler arguments should be combined into a single tuple argument.
partial_cancel_after [constructor] | Constructor that specifies the timeout duration and cancellation type.

##### Data Members

Name | Description
--- | ---
cancel_type_ |
timeout_ |

May also be used directly as a completion token, in which case it adapts the asynchronous operation's default completion token (or `deferred` if no default is available).

##### Requirements

Header: `asio/cancel_after.hpp`

Convenience header: `asio.hpp`